Summary:	Curses client for Music Player Daemon
Summary(pl.UTF-8):	Klient curses dla demona MPD
Name:		ncmpc
Version:	0.52
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	https://www.musicpd.org/download/ncmpc/0/%{name}-%{version}.tar.xz
# Source0-md5:	65ea87739bfbca9ac47b7026657a8b92
URL:		http://mpd.wikia.com/wiki/Client:Ncmpc
BuildRequires:	gcc-c++ >= 6:8
BuildRequires:	gettext-tools
BuildRequires:	libfmt-devel >= 9
BuildRequires:	libmpdclient-devel >= 2.19
BuildRequires:	libstdc++-devel
BuildRequires:	meson >= 1.0
BuildRequires:	ncurses-devel
BuildRequires:	ninja
BuildRequires:	pcre2-8-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libfmt >= 9
Requires:	libmpdclient >= 2.19
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
connects to a MPD running on a machine on the local network, and
controls this with an interface inspired by cplay. If ncmpc is used
with lirc and irpty it can be used to manage playlists and control MPD
with a remote control.

%description -l pl.UTF-8
ncmpc to klient curses dla demona MPD (Music Player Daemon). ncmpc
łączy się z MPD działającym na maszynie w sieci lokalnej i steruje nim
przy użyciu interfejsu zainspirowanego programem cplay. Jeśli ncmpc
jest używany z lircem lub irpty, można go używać do zarządzania
playlistami i sterowania MPD za pomocą pilota.

%prep
%setup -q

%{__sed} -i -e '1 s,#!.*env python3,#!%{__python3},' lyrics/*.py

%build
%meson \
	-Dchat_screen=true \
	-Dcolors=true \
	-Ddocumentation=enabled \
	-Dhelp_screen=true \
	-Dkey_screen=true \
	-Dlocale=enabled \
	-Dlyrics_screen=true \
	-Dmanual=true \
	-Dmouse=enabled \
	-Doutputs_screen=true \
	-Dsearch_screen=true \
	-Dsong_screen=true \
	-Dlirc=disabled

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.rst doc/*.sample doc/ncmpc.lirc
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ncmpc
%dir %{_libdir}/ncmpc/lyrics
%attr(755,root,root) %{_libdir}/ncmpc/lyrics/*
%{_mandir}/man1/ncmpc.*
%changelog
* Mon Feb 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncmpc.git;a=log;h=master

* Fri Feb 21 2025 Jan Palus <atler@pld-linux.org> 1d0d710
- up to 0.52

* Fri Feb 21 2025 Jan Palus <atler@pld-linux.org> 77dc200
- drop -j1 from install, %meson_install does not support it

* Thu Feb 20 2025 Jan Palus <atler@pld-linux.org> 66a32eb
- use new meson macros

* Tue Sep 24 2024 Jan Palus <atler@pld-linux.org> d33238d
- up to 0.51

* Thu Sep 12 2024 Jan Palus <atler@pld-linux.org> c19ada3
- up to 0.50

* Sun Sep 10 2023 Jan Palus <atler@pld-linux.org> 2eb1b46
- require libmpdclient >= 2.18 for partitions support

* Sat Aug 05 2023 Jan Palus <atler@pld-linux.org> 9154b99
- up to 0.49

* Fri Apr 07 2023 Jan Palus <atler@pld-linux.org> 4ffb50d
- up to 0.48

* Thu Jun 30 2022 Jan Palus <atler@pld-linux.org> d3b299e
- up to 0.47

* Fri Nov 26 2021 Jan Palus <atler@pld-linux.org> abb5d25
- up to 0.46

* Fri Feb 12 2021 Jan Palus <atler@pld-linux.org> b4b4864
- updated source to https

* Fri Feb 12 2021 Jan Palus <atler@pld-linux.org> 8a9c0a9
- up to 0.45

* Mon Feb 01 2021 Jan Palus <atler@pld-linux.org> 3dbf03b
- up to 0.44

* Wed Jan 27 2021 Jan Palus <atler@pld-linux.org> e7075d8
- updated deprecated meson macros

* Wed Jan 27 2021 Jan Palus <atler@pld-linux.org> 4bf653f
- BRs for tar.xz source

* Wed Jan 27 2021 Jan Palus <atler@pld-linux.org> 9b19c0b
- up to 0.43

* Thu Oct 29 2020 Jan Palus <atler@pld-linux.org> 6119ebb
- up to 0.42

* Fri Oct 16 2020 Jan Palus <atler@pld-linux.org> 258719a
- up to 0.41

* Thu Oct 08 2020 Jan Palus <atler@pld-linux.org> 4b3acae
- up to 0.40

* Fri Aug 21 2020 Jan Palus <atler@pld-linux.org> b4e9e94
- up to 0.39

